Subject: Re: [bug#74329] [PATCH v3 1/8] gnu: Replace quotations with texinfo markup in Tex packages.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 25 Mar 2025 11:13:43 +0100

Hi Gabriel,

Gabriel Wicki <[email-masked]> skribis:

> * gnu/packages/tex.scm (texlive-biblatex-morenames, texlive-digiconfigs,
> texlive-ordinalpt, texlive-xyling, texlive-yb-book, texlive-lambda-lists,
> texlive-texbytopic, texlive-pst-layout, texlive-cancel, texlive-flippdf,
> texlive-gmdoc-enhance, texlive-sttools, texlive-suppose, texlive-vgrid,
> texlive-wordlike): Fix description.
>
> Change-Id: I7bec393edaa9fc2784390e2103580137de40c0bf

[...]

>      (synopsis "New names for standard BibLaTeX entry type")
>      (description
> -     "This package adds new fields of ``name'' type to the standard entry
> +     "This package adds new fields of @code{name} type to the standard entry
>  types of BibLaTeX.  For example, @samp{maineditor}, for a @code{@@collection},
>  means the editor of @code{@@mvcollection}, and not the editor of the
>  @code{@@collection}.")
> @@ -13860,9 +13860,9 @@ (define-public texlive-digiconfigs
>      (synopsis "Writing ``configurations''")
>      (description
>       "In Stochastic Geometry and Digital Image Analysis some problems can be
> -solved in terms of so-called ``configurations''.  A configuration is basically
> -a square matrix of @code{\\circ} and @code{\\bullet} symbols.  This package
> -provides a convenient and compact mechanism for displaying these
> +solved in terms of so-called @emph{configurations}.  A configuration is
> +basically a square matrix of @code{\\circ} and @code{\\bullet} symbols.  This
> +package provides a convenient and compact mechanism for displaying these
>  configurations.")
>      (license license:lppl)))
>  
> @@ -29915,10 +29915,10 @@ (define-public texlive-ordinalpt
>      (synopsis "Counters as ordinal numbers in Portuguese")
>      (description
>       "The package provides a counter style (like @code{\\arabic},
> -@code{\\alph} and others) which produces output strings like
> -@samp{primeiro} (``first'' in Portuguese), @samp{segundo}, (``second''), and
> -so on up to 1999th.  Separate counter commands are provided for different
> -letter case variants, and for masculine and feminine gender inflections.")
> +@code{\\alph} and others) which produces output strings like @samp{primeiro}
> +(@emph{first} in Portuguese), @samp{segundo}, (@emph{second}), and so on up to
> +1999th.  Separate counter commands are provided for different letter case

I don’t think these changes are typographically “correct”; I think the
original descriptions were fine here.

Ludo’.